/*
 *  Copyright 1994-2011 Olivier Girondel
 *
 *  This file is part of lebiniou.
 *
 *  lebiniou is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  lebiniou is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with lebiniou. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __MAIN_H
#define __MAIN_H

#include "biniou.h"


#define DEFAULT_WIDTH  640
#define DEFAULT_HEIGHT 480

#define DEFAULT_DATADIR	        TO_STRING(DATADIR)
#define DEFAULT_BASEDIR	        TO_STRING(BASEDIR)
#define DEFAULT_SCHEMES_FILE    TO_STRING(SCHEMES_FILE)

#define DEFAULT_OUTPUT_PLUGIN   "SDL"


extern char *data_dir;
extern char *base_dir;
extern char *schemes_file;
extern char *input_plugin;
extern char *output_plugin;
extern char fullscreen;
extern long max_fps;
extern u_short width;
extern u_short height;
extern enum RandomMode random_mode;
extern enum OSDMode osd_mode;
extern char *pid_file;
extern char *themes;


void register_signals(void);
void getargs(int, char **);
void read_keyfile();

#endif /* __MAIN_H */
